Bug 1194193 - [RFE] Add squashfs support to rd.writable.fsimg
Summary: [RFE] Add squashfs support to rd.writable.fsimg
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: dracut
Version: 7.2
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: dracut-maint
QA Contact: Release Test Team
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-02-19 10:11 UTC by Fabian Deutsch
Modified: 2015-11-19 12:52 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-11-19 12:52:35 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 744061 1 None None None 2021-01-20 06:05:38 UTC
Red Hat Product Errata RHBA-2015:2091 0 normal SHIPPED_LIVE dracut bug fix and enhancement update 2015-11-19 11:13:43 UTC

Internal Links: 744061

Description Fabian Deutsch 2015-02-19 10:11:43 UTC
To boot live images without a disk (diskless boot, in this sense also stateless), rd.live.fsimg can be used.
Currently that directive takes a compressed archive containing a filesystem image.
But often squashfs images containing the rootfs image are provided.

This feature request is about enabling rd.live.fsimg to use squashfs images as well, this allows us to reuse the squashfs image which is already used by anaconda for installation.

Comment 1 Fabian Deutsch 2015-02-19 10:12:15 UTC
This feature got implemented with
https://github.com/haraldh/dracut/commit/b0472eac111268e2cae783097d0eccc1986e1762

Comment 4 Fabian Deutsch 2015-09-15 12:47:40 UTC
This feature can be tested by:

1. Get the squashfs.img from a livecd to some http server
2. Somehow boot with a kernel and a dracut image containing this fix
2. Modify boot param to use the following boot arguments:
root=live:http://path/to/squashfs.img rd.live.fsimg=1
3. After boot check that /run/initramfs/fsimg/ exists

Comment 6 Harald Hoyer 2015-09-23 14:24:32 UTC

(In reply to Fabian Deutsch from comment #4)
> This feature can be tested by:
> 
> 1. Get the squashfs.img from a livecd to some http server
> 2. Somehow boot with a kernel and a dracut image containing this fix
> 2. Modify boot param to use the following boot arguments:
> root=live:http://path/to/squashfs.img rd.live.fsimg=1
> 3. After boot check that /run/initramfs/fsimg/ exists

well, there is no rd.live.fsimg in dracut code. maybe in anaconda?

The directory is only created, if "rd.writable.fsimg" is specified on the kernel cmdline.

Comment 7 Fabian Deutsch 2015-09-24 12:15:11 UTC
Indeed. My memory was bad.

it should be as in comment 4, but using rd.writable.fsimg instead of rd.live.fsimg

Comment 9 errata-xmlrpc 2015-11-19 12:52:35 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2015-2091.html


Note You need to log in before you can comment on or make changes to this bug.